org.gjt.sp.jedit.bsh

## Class ParserTokenManager

- java.lang.Object
- - org.gjt.sp.jedit.bsh.ParserTokenManager

All Implemented Interfaces:
  ParserConstants

    public class ParserTokenManager
    extends java.lang.Object
    implements ParserConstants

### Field Summary

Fields
`protected char` `curChar`
`java.io.PrintStream` `debugStream`
`protected JavaCharStream` `input_stream`
`static java.lang.String[]` `jjstrLiteralImages`
`static java.lang.String[]` `lexStateNames`

### Fields inherited from interface org.gjt.sp.jedit.bsh.ParserConstants

`_DEFAULT, ABSTRACT, ANDASSIGN, ANDASSIGNX, ASSIGN, BANG, BIT_AND, BIT_ANDX, BIT_OR, BIT_ORX, BOOL_AND, BOOL_ANDX, BOOL_OR, BOOL_ORX, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DIGIT, DO, DOT, DOUBLE, ELSE, ENUM, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GEX, GOTO, GT, GTX, HASH_BANG_COMMENT, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LEX, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LSHIFTASSIGNX, LSHIFTX, LT, LTX, MINUS, MINUSASSIGN, MOD, MODASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NONPRINTABLE, NULL, OCTAL_LITERAL, ORASSIGN, ORASSIGNX, PACKAGE, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RSIGNEDSHIFTASSIGNX, RSIGNEDSHIFTX, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFTASSIGNX, RUNSIGNEDSHIFTX, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SWITCH, SYNCHRONIZED, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

### Constructor Summary

Constructors
Constructor and Description
`ParserTokenManager(JavaCharStream stream)`
`ParserTokenManager(JavaCharStream stream, int lexState)`

### Method Summary

Methods
`Token` `getNextToken()`
`protected Token` `jjFillToken()`
`void` `ReInit(JavaCharStream stream)`
`void` `ReInit(JavaCharStream stream, int lexState)`
`void` `setDebugStream(java.io.PrintStream ds)`
`void` `SwitchTo(int lexState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### debugStream

    public java.io.PrintStream debugStream

#### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

#### lexStateNames

    public static final java.lang.String[] lexStateNames

#### input_stream

    protected JavaCharStream input_stream

#### curChar

    protected char curChar

### Constructor Detail

#### ParserTokenManager

    public ParserTokenManager(JavaCharStream stream)

#### ParserTokenManager

    public ParserTokenManager(JavaCharStream stream,
                      int lexState)

### Method Detail

#### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

#### ReInit

    public void ReInit(JavaCharStream stream)

#### ReInit

    public void ReInit(JavaCharStream stream,
              int lexState)

#### SwitchTo

    public void SwitchTo(int lexState)

#### jjFillToken

    protected Token jjFillToken()

#### getNextToken

    public Token getNextToken()